/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.ejb.meta;

import org.w3c.dom.Node;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class ResourceEnvRefDescriptor extends Descriptor {

    private String refName;
    private String type;

    public void processXML(Node node) throws EJBDescriptionException {
        super.processXML(node);
        setRefName(XmlUtil.getChildNodeValueOf(node, "resource-env-ref-name"));
        setType(XmlUtil.getChildNodeValueOf(node, "resource-env-ref-type"));
    }

    public String getRefName() {
        return refName;
    }

    public String getJndiName() {
        return getRefName();
    }

    public void setRefName(String refName) {
        this.refName = refName;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public static void main(String[] args) {

    }
}
